### Method

# GtkSource Language get_metadata

#### Declaration [src]

    const gchar*
    gtk_source_language_get_metadata (
      GtkSourceLanguage* language,
      const gchar* name
    )

#### Description

No description available.

#### Parameters

`name`

  Type: `const gchar*`

  Metadata property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Value of property `name` stored in the metadata of `language` or `NULL` if language does not contain the specified metadata property. The returned string is owned by `language` and should not be freed or modified.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.